* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*::after,
*::before {
  box-sizing: border-box;
}
body {
  font-family: "Arial", sans-serif;
  background-color: #f4f4f4;
  color: #333;
}

a {
  text-decoration: none;
}

ul,
ol {
  list-style: none;
}

img {
  object-fit: cover;
}
.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.nav {
  padding: 10px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav--brand {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}

.nav--brand p {
  font-size: 1.5rem;
  font-weight: bold;
  color: #333;
}

.nav--logo {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.nav--logo img {
  width: 92%;
  height: 90%;
  object-fit: cover;
}

.nav--link {
  font-size: 1.2rem;
  padding: 10px 15px;
  border-radius: 5px;
  transition: background-color 0.3s;
  color: #333;
}

.nav--link:hover {
  background-color: #f0f0f0;
}

.hero {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 80px;
}

.hero--wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 15px;
  padding: 20px;
  width: 80%;
}

.hero--wrapper h1 {
  font-size: 1.5rem;
  color: #333;
}
.hero--wrapper p {
  font-size: 0.8rem;
  color: #666;
}

search {
  width: 100%;
}

.search--form {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 20px;
  width: 100%;
}
.hero--wrapper button {
  padding: 10px 20px;
  font-size: 1rem;
  border: none;
  border-radius: 5px;
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
  transition: background-color 0.3s;
}
.hero--wrapper button:hover {
  background-color: #0056b3;
}

.search--input {
  outline: none;
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1rem;
  flex: 1;
}

.search--input:focus {
  border-color: #007bff;
}

.search--results {
  margin-top: 20px;
}

.card {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 20px;
  background-color: #fff;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
  width: 100%;
  max-width: calc(100% - 40px);
  padding: 24px;
  transition: all 0.3s ease-in-out;
}

.card--header {
  grid-column: 1 / 3;
}

.card--info {
  grid-column: 3 / 6;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.card img {
  border-radius: 50%;
  width: 100px;
  height: 100px;
  margin-bottom: 16px;
  object-fit: cover;
  border: 4px solid #e1e4e8;
}

.card h2 {
  margin: 0;
  font-size: 22px;
  color: #2d2d2d;
}

.card p {
  margin: 6px 0;
  font-size: 15px;
  color: #555;
}

.card a {
  display: inline-block;
  margin-top: 12px;
  text-decoration: none;
  background-color: #0366d6;
  color: white;
  padding: 8px 16px;
  border-radius: 6px;
  transition: background-color 0.2s ease-in-out;
  white-space: nowrap;
}

.card a:hover {
  background-color: #024f9c;
}
.card span {
  display: inline-block;
  margin: 12px 0 0 auto;
  text-decoration: none;
  width: 60px;
  background-color: #db221c;
  color: white;
  padding: 8px 16px;
  border-radius: 6px;
  transition: background-color 0.2s ease-in-out;
  grid-column: 5 / 6;
}

.card span:hover {
  background-color: #024f9c;
}

/* **************** header end ******************  */